- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnDynSweptGeometryData Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

Swept Geometry function set for dependency node data.

MFnDynSweptGeometryData provides access to the MDynSweptLine and MDynSweptTriangle data for use in a user defined dependency graph node. The data is provided as an output from the geoConnector node and is primarily used to determine positional information over time.

If a user written dependency node accepts MFnDynSweptGeometryData, then this class is used to extract data that comes from the geoConnector node. The MDataHandle::type method will return kDynSweptGeometry when data of this type is present. To access it, the MDataHandle::data() method is used to get an MObject for the data and this should then be used to initialize an instance of MFnDynSweptGeometryData.

Important note: Users can create the data for connections but cannot produce the contents of the data as this is reserved for the Maya Dynamics internals.

Examples:

  simpleFluidEmitter.cpp, and sweptEmitter.cpp.

`#include <MFnDynSweptGeometryData.h>`

Inheritance diagram for MFnDynSweptGeometryData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnDynSweptGeometryData ()
| Destructor.
| MFnDynSweptGeometryData ()
| Default constructor.
| MFnDynSweptGeometryData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
int | lineCount (MStatus *ReturnStatus=NULL) const
| Return the number of line segments contained in the data.
int | triangleCount (MStatus *ReturnStatus=NULL) const
| Return the number of triangles contained in the data.
MDynSweptLine | sweptLine (int index, MStatus *ReturnStatus=NULL) const
| Return data for a swept line.
MDynSweptTriangle | sweptTriangle (int index, MStatus *ReturnStatus=NULL) const
| Return data for a swept triangle.
MObject | create (MStatus *ReturnStatus=NULL)
| This method create a new swept geometry data object for use with the dependency graph.
| MFnDynSweptGeometryData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnDynSweptGeometryData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnDynSweptGeometryData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kDynSweptGeometryData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnDynSweptGeometryData".

Reimplemented from MFnData.

int lineCount | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the number of line segments contained in the data.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  Number of line segments

int triangleCount | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the number of triangles contained in the data.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  Number of triangles

MDynSweptLine sweptLine | ( | int | index,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | const

Search for all occurrences

Return data for a swept line.

Parameters:

  [in] | index | Index of the swept line to return data for. Must be in the range 0 to (lineCount() - 1).
  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  A const reference to the MDynSweptLine

MDynSweptTriangle sweptTriangle | ( | int | index,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | const

Search for all occurrences

Return data for a swept triangle.

Parameters:

  [in] | index | Index of the swept triangle to return data for. Must be in the range 0 to (triangleCount() - 1).
  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  A const reference to the MDynSweptTriangle

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

This method create a new swept geometry data object for use with the dependency graph.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  A handle to the new swept geometry data object

Status Codes:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory out of memory

MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData
MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData MFnDynSweptGeometryData